package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.List;

public class MenuRecipeDetailV2AddDTO {
   @ApiModelProperty("餐次类型")
   private @NotNull(
   message = "{menu_mealtime_type_null}"
) Integer mealtimeType;
   @ApiModelProperty("发布菜品")
   private @Valid List<MenuRecipeDishesV2AddDTO> dishesList;

   public Integer getMealtimeType() {
      return this.mealtimeType;
   }

   public List<MenuRecipeDishesV2AddDTO> getDishesList() {
      return this.dishesList;
   }

   public void setMealtimeType(final Integer mealtimeType) {
      this.mealtimeType = mealtimeType;
   }

   public void setDishesList(final List<MenuRecipeDishesV2AddDTO> dishesList) {
      this.dishesList = dishesList;
   }
}
